Bug 1125961 - On add external provider dialogue report on insufficient parameters on Test
Summary: On add external provider dialogue report on insufficient parameters on Test
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Yaniv Bronhaim
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.5beta3
TreeView+ depends on / blocked
 
Reported: 2014-08-01 13:14 UTC by Tareq Alayan
Modified: 2016-02-10 19:36 UTC (History)
10 users (show)

Fixed In Version: org.ovirt.engine-root-3.5.0-14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:10:03 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 32169 master MERGED ui: Report on insufficient parameters on add provider form Never
oVirt gerrit 33515 ovirt-engine-3.5 MERGED ui: Report on insufficient parameters on add provider form Never

Description Tareq Alayan 2014-08-01 13:14:44 UTC
Description of problem:
Test buttom is enabled and user can click on it even there is no Foreman URL provided. 

consider to add checks if 
1. there is no URL provider
2. Authentication required is check and there is no username and password provided.

Version-Release number of selected component (if applicable):
foreman-1.6.0.32-1.el6sat.noarch
ovirt-engine-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch

How reproducible:
always



Actual results:
Test button is clickable 

Expected results:
disabled until data is inserted by user 

Additional info:

Comment 2 Oved Ourfali 2014-08-04 07:12:11 UTC
In some systems password can be even empty.
Other than that you're right.

If URL is empty we shouldn't allow to press test.
Once the user checks the required-auth, once the username is not empty we should allow pressing test.

Comment 3 Yaniv Bronhaim 2014-09-30 07:14:39 UTC
instead of disabling the button we'll add a note about insufficient parameters when url or username are missing.

Comment 4 Eyal Edri 2014-10-07 07:12:31 UTC
this bug status was moved to MODIFIED before engine vt5 was built,
hence moving to on_qa, if this was mistake and the fix isn't in,
please contact rhev-integ@redhat.com

Comment 5 Petr Beňas 2014-10-07 15:39:57 UTC
There's no screenshot or steps where to look for the button. Where can I find it?

Comment 6 Yaniv Bronhaim 2014-10-12 12:41:41 UTC
Petr, please look at the add external provider dialogue. I'm sure you won't miss the "Test" button..
If you ask about the add external provider location, its in the tree view in the main admin portal screen at the left side

let me know if you still need more details to check that form
thanks.

Comment 7 Petr Beňas 2014-10-13 11:19:15 UTC
Verified in vt5.

Comment 9 Eyal Edri 2015-02-17 17:10:03 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.